Bug 108145 - [CI][SHARDS] igt@kms_plane_alpha_blend@* - fail - Failed assertion: !mismatch (gen8-10)
Summary: [CI][SHARDS] igt@kms_plane_alpha_blend@* - fail - Failed assertion: !mismatch...
Status: CLOSED WONTFIX
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-03 08:34 UTC by Martin Peres
Modified: 2019-10-31 09:09 UTC (History)
1 user (show)

See Also:
i915 platform: BDW, BXT, CFL, CNL, GLK, KBL, SKL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-10-03 08:34:51 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4914/shard-skl3/igt@kms_plane_alpha_blend@pipe-c-constant-alpha-max.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4914/shard-kbl1/igt@kms_plane_alpha_blend@pipe-a-constant-alpha-max.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4914/shard-glk1/igt@kms_plane_alpha_blend@pipe-a-alpha-basic.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4914/shard-apl1/igt@kms_plane_alpha_blend@pipe-a-alpha-opaque-fb.html

Starting subtest: pipe-A-alpha-opaque-fb
(kms_plane_alpha_blend:4492) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_plane_alpha_blend:4492) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-A-alpha-opaque-fb failed.

These issues are known and are WONTFIX.
Comment 1 Martin Peres 2018-10-09 14:21:42 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_121/fi-skl-guc/igt@kms_plane_alpha_blend@pipe-b-alpha-7efc.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_121/fi-kbl-7500u/igt@kms_plane_alpha_blend@pipe-b-alpha-7efc.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_121/fi-cfl-8109u/igt@kms_plane_alpha_blend@pipe-b-alpha-7efc.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_121/fi-skl-6700k2/igt@kms_plane_alpha_blend@pipe-c-alpha-7efc.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_121/fi-skl-6700k2/igt@kms_plane_alpha_blend@pipe-b-alpha-7efc.html

Starting subtest: pipe-B-alpha-7efc
(kms_plane_alpha_blend:2270) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_plane_alpha_blend:2270) igt_debugfs-CRITICAL: Failed assertion: !mismatch
(kms_plane_alpha_blend:2270) igt_debugfs-CRITICAL: Last errno: 25, Inappropriate ioctl for device
Subtest pipe-B-alpha-7efc failed.
Comment 2 CI Bug Log 2019-04-16 09:23:12 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BDW BXT APL SKL GLK KBL CFL WHL CNL: igt@kms_plane_alpha_blend@* - fail - Failed assertion: !mismatch -}
{+ BDW BXT APL SKL GLK KBL CFL WHL CNL: igt@kms_plane_alpha_blend@* - fail - Failed assertion: !mismatch +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-a-coverage-vs-premult-vs-constant.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-b-coverage-vs-premult-vs-constant.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-b-coverage-7efc.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-c-constant-alpha-mid.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-b-constant-alpha-mid.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-c-coverage-7efc.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-c-coverage-vs-premult-vs-constant.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-a-constant-alpha-mid.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-kbl-r/igt@kms_plane_alpha_blend@pipe-b-coverage-7efc.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-kbl-r/igt@kms_plane_alpha_blend@pipe-c-coverage-7efc.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_253/fi-bxt-dsi/igt@kms_plane_alpha_blend@pipe-c-coverage-7efc.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_253/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-b-constant-alpha-mid.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_253/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-c-coverage-7efc.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_253/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-c-constant-alpha-mid.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_253/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-a-coverage-vs-premult-vs-constant.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_253/fi-kbl-r/igt@kms_plane_alpha_blend@pipe-c-coverage-7efc.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_253/fi-kbl-r/igt@kms_plane_alpha_blend@pipe-b-coverage-7efc.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_254/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-b-constant-alpha-mid.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_254/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-c-coverage-7efc.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_254/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-c-constant-alpha-mid.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_254/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-a-coverage-vs-premult-vs-constant.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_254/fi-kbl-r/igt@kms_plane_alpha_blend@pipe-b-coverage-7efc.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_255/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-b-constant-alpha-mid.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_255/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-c-coverage-7efc.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_255/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-c-constant-alpha-mid.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_255/fi-glk-dsi/igt@kms_plane_alpha_blend@pipe-a-coverage-vs-premult-vs-constant.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_255/fi-kbl-r/igt@kms_plane_alpha_blend@pipe-c-coverage-7efc.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_255/fi-kbl-r/igt@kms_plane_alpha_blend@pipe-b-coverage-7efc.html
Comment 3 CI Bug Log 2019-04-28 17:02:51 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BDW BXT APL SKL GLK KBL CFL WHL CNL: igt@kms_plane_alpha_blend@* - fail - Failed assertion: !mismatch -}
{+ BDW BXT APL SKL GLK KBL CFL CML WHL CNL: igt@kms_plane_alpha_blend@* - fail - Failed assertion: !mismatch +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-alpha-7efc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-constant-alpha-max.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-alpha-transparant-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-coverage-7efc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-alpha-transparant-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-constant-alpha-min.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-alpha-basic.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-constant-alpha-max.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-constant-alpha-max.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-alpha-basic.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-alpha-basic.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-constant-alpha-max.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-constant-alpha-min.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-alpha-7efc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-coverage-7efc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-alpha-opaque-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-alpha-transparant-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-alpha-7efc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-constant-alpha-min.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-alpha-7efc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-alpha-opaque-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-alpha-opaque-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-alpha-transparant-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-alpha-7efc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-constant-alpha-max.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-alpha-basic.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-coverage-7efc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-alpha-opaque-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-alpha-transparant-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-alpha-7efc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-constant-alpha-max.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-alpha-transparant-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-alpha-transparant-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-constant-alpha-max.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-alpha-basic.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-constant-alpha-max.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-constant-alpha-min.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-constant-alpha-min.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-alpha-7efc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-alpha-basic.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-coverage-7efc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-alpha-basic.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-alpha-7efc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-alpha-transparant-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-alpha-opaque-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-alpha-transparant-fb.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_plane_alpha_blend@pipe-c-constant-alpha-max.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_plane_alpha_blend@pipe-a-alpha-basic.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_plane_alpha_blend@pipe-b-alpha-basic.html
Comment 4 CI Bug Log 2019-10-31 09:09:10 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* CML: igt@runner@aborted - fail - Previous test: kms_plane_alpha_blend (pipe-b-alpha-7efc)
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_395/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_395/fi-cml-s/igt@runner@aborted.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.